package de.intevation.flys.client.shared.model;

import com.smartgwt.client.widgets.form.fields.TextItem;
import com.smartgwt.client.widgets.form.DynamicForm;
import com.smartgwt.client.types.Alignment;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class StringProperty extends PropertySetting {

    public DynamicForm generateUI() {
        DynamicForm form = new DynamicForm();

        TextItem item = new TextItem ();
        item.setTitle(editor.getI18NString(name));
        item.setTitleAlign(Alignment.LEFT);

        form.setFields(item);
        return form;
    }
}
